All systems operational

Supported web browser and application versions

To ensure security when visiting the GigSky website, you must use the stated version, or later, of these browsers:
  • Google Chrome v. 22
  • Google Android OS Browser Android 5.0
  • Mozilla Firefox v.27
  • Microsoft IE v11
  • Microsoft Edge
  • Opera Browser v.14
  • Apple Safari v.7
  • Apple Safari Mobile iOS 5+
 
If you use an older version of these browsers, you will receive an SSL error.
 
NOTE: If you are using Android Jelly Bean, you will not be able to use the native browser to use our website. Please install and use Chrome or another compatible web browser.
Was this article helpful?
0 out of 0 found this helpful
Powered by Zendesk